Skip to main content
`Ctrl`+`K`

# PetscSectionSymSetType

Builds a `PetscSectionSym`, for a particular implementation.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSymSetType(PetscSectionSym sym, PetscSectionSymType method)

Collective

## Input Parameters

- sym - The section symmetry object

- method - The name of the section symmetry type

## See Also

PetscSection, `PetscSectionSym`, `PetscSectionSymType`, `PetscSectionSymGetType()`, `PetscSectionSymCreate()`

## Level

developer

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages